function [aGpsX, aGpsY, distGPSx, distGPSy] = combineGPSData(GpsX, GpsY)
% function [aGpsX, aGpsY, GpsX, GpsY, GpsVx, GpsVy] = combineGPSData(GpsN, GpsE, GsecTime)
%% This function includes:
% Combine each Gps distance/velocity measurement into 'absolute' variables
% convert [+1, +2, +3, -4, -1] ==> [1, 3, 6, 2, 1]
%****************************************************
%% Code for current system data (direct from coordinates):
%%{
% 
% for i = 2:length(GsecTime)
%     GpsX(i-1) = gpsDist(GpsN(i-1), GpsE(i-1), GpsN(i-1), GpsE(i));
%     if(GpsE(i-1) > GpsE(i))
%         GpsX(i-1) = GpsX(i-1)*-1;
%     end
%     GpsVx(i-1) = GpsX(i-1)/(GsecTime(i)-GsecTime(i-1));
%     
%     GpsY(i-1) = gpsDist(GpsN(i-1), GpsE(i-1), GpsN(i), GpsE(i-1));
%     if(GpsN(i-1) > GpsN(i))
%         GpsY(i-1) = GpsY(i-1)*-1;
%     end
%     GpsVy(i-1) = GpsY(i-1)/(GsecTime(i)-GsecTime(i-1));
% end
% 
% function distance = gpsDist(lat1, long1, lat2, long2)
%     dlat1=lat1*(pi/180);
%     dlong1=long1*(pi/180);
%     dlat2=lat2*(pi/180);
%     dlong2=long2*(pi/180);
% 
%     dLong=dlong1-dlong2;
%     dLat=dlat1-dlat2;
% 
%     aHarv=(sin(dLat/2.0)^2.0)+cos(dlat1)*cos(dlat2)*(sin(dLong/2)^2);
%     cHarv=2*atan2(sqrt(aHarv),sqrt(1.0-aHarv));
% 
%     earth=6371009;
%     distance=earth*cHarv;
% end

%}

%% Code for good system data:
%%{
%Pre-allocate space
sizeGpsX = size(GpsX)+1;
aGpsX = zeros(sizeGpsX);
aGpsY = zeros(sizeGpsX);
absGPSx = zeros(sizeGpsX);
absGPSy = zeros(sizeGpsX);

for n = 2:(sizeGpsX) % Number of data points
    aGpsX(n) = aGpsX(n-1) + GpsX(n-1);
    aGpsY(n) = aGpsY(n-1) + GpsY(n-1);
end

% Absolute distance calculation:
for n = 2:(sizeGpsX) % Number of data points
    absGPSx(n) = absGPSx(n-1) + abs(GpsX(n-1));
    absGPSy(n) = absGPSy(n-1) + abs(GpsY(n-1));
end
distGPSx = absGPSx(length(GpsX)+1);
distGPSy = absGPSy(length(GpsX)+1);
%}

end